Get one intent
curl --request GET \
--url https://{subdomain}.mihu.ai/api/v1/agents/{uuid}/intents/{intentUuid} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{subdomain}.mihu.ai/api/v1/agents/{uuid}/intents/{intentUuid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{subdomain}.mihu.ai/api/v1/agents/{uuid}/intents/{intentUuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"intent_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "<string>",
"name": "<string>",
"description": "<string>",
"recommendation_actions": "<string>",
"confidence_threshold": 123,
"is_system": true,
"intent_llm_handle_by_response": true,
"webhook": {
"url": "<string>",
"auth_token": "<string>"
},
"parameters": [
{
"key": "email",
"default": "<string>",
"type": "string",
"required": true
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}Agents
Get one intent
Returns one intent with its trigger description, confidence threshold, webhook configuration, and parameters. Use this before updating an intent or inspecting the tool schema the agent can call.
GET
/
api
/
v1
/
agents
/
{uuid}
/
intents
/
{intentUuid}
Get one intent
Authorizations
Use a Bearer token to access these API endpoints. Example: "Bearer {your-token}"
⌘I